Unit tzp34e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP34E_p;

function tzp34e: String;

implementation

function tzp34e: String;
var
NP,M,_i,I,IERR :Integer;
B :Array [0..5] of Extended;
const
A :Array [0..4] of Extended = ( 24.0e0,-50.0e0,35.0e0,-10.0e0,1.0e0 );
begin
Result := '';  {   }
NP := 4;
M := 6;
ZP34E(NP,A,M,B,IERR);
Result := Result + Format('%10d ',[NP]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format(' %20d %20d ',[M,IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 6 do
 begin
  Result := Result + Format('%20.16f ',[B[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzp34e',Result);  {     tzp34e.res }
exit;
end;

end.
